Author Topic: Download helper has it stopped working  (Read 5570 times)

vikingali

  • Newbie
  • *
  • Posts: 21
Download helper has it stopped working
« on: August 07, 2011, 11:02:44 PM »
Hi has download helper stopped working for you tube?
I don't know if I changed something or not but can't seem to download you tube videos anymore.Just wondered if anyone else has this problem.Have uninstalled it but can't figure out how to reinstall it.So will try installing 3mx again.(had a copy on another SD card but it wont work you tube either)
Does anyone know how to fix it?

As far as I can make out you tube have changed something on their site and the latest update of download helper only works with Firefox 3.0 and up.
Does anyone know if Firefox 3.0 will work on 3MX and how to install it if it does.
Or will is there another way to fix you tube?
Thanks
Ali
« Last Edit: August 11, 2011, 05:38:59 PM by vikingali »

websjakie

  • Newbie
  • *
  • Posts: 10
Re: Download helper has it stopped working
« Reply #1 on: August 13, 2011, 10:59:12 AM »
Hi,

If you have python > 2.5 installed. You could use python youtube-dl.py via the console.
https://github.com/rg3/youtube-dl/raw/2011.08.04/youtube-dl

Next to that if python-tk is installed you can add your own gui to easy copy past the browser urls using youtube-dl.py
See here my gui example http://www.divshare.com/download/15513069-279

Grt websjakie.

vikingali

  • Newbie
  • *
  • Posts: 21
Re: Download helper has it stopped working
« Reply #2 on: August 14, 2011, 09:35:39 AM »
thanks for the reply it looks like Python 2.4.1 is installed, think this might be a huge learning curve!! for me. Trying to figure out how to install Python 2.5 and how to use it!!!
Any hints most welcome but they need to be in the form a complete idiot can understand as I am a complete newbie to linux and programming, can point and click on things and am just about able to work a keyboard.(but am having fun learning new things with this computer.)
Ali
« Last Edit: August 14, 2011, 09:14:28 PM by vikingali »

websjakie

  • Newbie
  • *
  • Posts: 10
Re: Download helper has it stopped working
« Reply #3 on: August 15, 2011, 06:22:11 AM »
Hi,

The youtube-dl command line tool may work for python 2.4 too. Comment out ctypes and email.utils.

#import ctypes
#import email.utils

Afterwards you can use it from the commandline (console)
python youtube-dl.py http://xxx

http://www.divshare.com/download/15525932-9e7

Grt websjakie

vikingali

  • Newbie
  • *
  • Posts: 21
Re: Download helper has it stopped working
« Reply #4 on: August 15, 2011, 10:12:37 PM »
hi thanks again.
I think it tries to work but it comes up with an error.
content too short (expected 14121349 bytes and served 1024)
any ideas  :'(
Ali

websjakie

  • Newbie
  • *
  • Posts: 10
Re: Download helper has it stopped working
« Reply #5 on: August 16, 2011, 05:31:41 PM »
Hi,

The error you mention looks like your download was interrupted.

Inside the python file below description is given for content too short error:
                This exception may be raised by FileDownloader objects when a file they
   download is too small for what the server announced first, indicating
   the connection was probably interrupted.

Maybe internet connection lost or interrupted, try again ?
or
Missing/incompatible libraries in 3MX installed python version (for the needed libraries in youtube-dl.py)
This may need upgrade of python libraries...

Pyinstaller executable may do the trick.
I have created this on my debian lenny/squeeze installed version (python2.6), I don't think this will work on 3MX
But you never know, here it is:
http://www.divshare.com/download/15515481-f15

Try with:
chmod +x youtube-dl. (make the downloaded file executable, if it's not)
./youtube-dl http://yyy

Grt Websjakie.

vikingali

  • Newbie
  • *
  • Posts: 21
Re: Download helper has it stopped working
« Reply #6 on: August 17, 2011, 10:51:36 PM »
Pyinstaller executable may do the trick.
I have created this on my debian lenny/squeeze installed version (python2.6), I don't think this will work on 3MX
But you never know, here it is:
http://www.divshare.com/download/15515481-f15

Try with:
chmod +x youtube-dl. (make the downloaded file executable, if it's not)
./youtube-dl http://yyy

Grt Websjakie.

Hi
Thanks again.Internet connection is ok tried a couple of different videos the first time and tried again tonight.
Sorry to be a bit thick but what do I type in for the above does the x mean something and is it all one command .(I get the http:// (yyy = the web page) :-[
Ali

websjakie

  • Newbie
  • *
  • Posts: 10
Re: Download helper has it stopped working
« Reply #7 on: August 18, 2011, 06:35:01 AM »
Hi,

Need to type the whole command: chmod +x youtube-dl

Check for help about chmod:
http://www.oreillynet.com/linux/cmd/cmd.csp?path=c/chmod

The created youtube-dl executable is created in a different environment as 3MX, it is most probably this will not work due to incompatible libraries.

Grt Websjakie

vikingali

  • Newbie
  • *
  • Posts: 21
Re: Download helper has it stopped working
« Reply #8 on: August 18, 2011, 11:21:50 PM »
thanks for trying but it doesn't work :'(
Ali

websjakie

  • Newbie
  • *
  • Posts: 10
Re: Download helper has it stopped working
« Reply #9 on: August 19, 2011, 05:41:39 AM »
Hi,

Ok as expected. I will install 3MX and see what I can do to get it easy working there.

Which distro (3MX version) do you use ?

Grt Websjakie

vikingali

  • Newbie
  • *
  • Posts: 21
Re: Download helper has it stopped working
« Reply #10 on: August 19, 2011, 06:58:51 PM »
Hi
It is the latest version of 3MX ultra 3 with 2.6 kernel
Thanks for your help
Ali
 :)

websjakie

  • Newbie
  • *
  • Posts: 10
Re: Download helper has it stopped working
« Reply #11 on: August 21, 2011, 09:07:42 AM »
Hi,

I installed 3MX (for 2.6 kernel). the python Youtube-dl script will not work on current 3mx releases.

I tried the below things:
1) Started with available 3mx dev packages with the software installer.
There are none available 'yet' for newer lenny libs. 3mx(2.6 kernel) uses mostly etch libs.

2) I used debian etch mipsel sources and converted them to .info .patch
Started with python-tk (this only needed blt package to be installed) This works.
 
3) Then started with python2.5
for available python2.5 sources in etch we need an update of glibc to 2.3.6.
This will break any other packages and will cause 3mx to not startup anymore.

So there is no easy way 'yet' to install and use python2.5 in 3mx.
This requests for an update of 3mx to upgrade libs to at least lenny stable
One other possibilty is to use debian lenny and install/polish to the same apps used in 3mx releases.

Any volunteers ?

Grt Websjakie